> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Preset

> Clone an existing preset (built-in or custom) as a new custom preset.



## OpenAPI

````yaml /openapi.json post /api/v1/presets/{preset_id}/clone
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/presets/{preset_id}/clone:
    post:
      tags:
        - presets
      summary: Clone Preset
      description: Clone an existing preset (built-in or custom) as a new custom preset.
      operationId: clone_preset_api_v1_presets__preset_id__clone_post
      parameters:
        - in: path
          name: preset_id
          required: true
          schema:
            title: Preset Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PresetCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresetResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    PresetCreate:
      properties:
        description:
          default: ''
          title: Description
          type: string
        flags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Flags
        name:
          title: Name
          type: string
      required:
        - name
      title: PresetCreate
      type: object
    PresetResponse:
      properties:
        base_preset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Preset Id
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        flags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Flags
        id:
          title: Id
          type: string
        is_builtin:
          title: Is Builtin
          type: boolean
        name:
          title: Name
          type: string
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - owner_id
        - name
        - description
        - is_builtin
        - base_preset_id
        - flags
      title: PresetResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````